package com.ho.flow.entity.process;

import io.swagger.annotations.ApiModelProperty;
import org.activiti.engine.repository.ProcessDefinition;


public class DefinitionIdDTO {

    @ApiModelProperty(value = "流程部署id")
    private String deploymentID;

    @ApiModelProperty(value = "资源名称")
    private String resourceName;

    public String getDeploymentID() {
        return deploymentID;
    }

    public void setDeploymentID(String deploymentID) {
        this.deploymentID = deploymentID;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public DefinitionIdDTO() {
    }

    public DefinitionIdDTO(ProcessDefinition processDefinition) {
        this.deploymentID = processDefinition.getDeploymentId();
        this.resourceName = processDefinition.getResourceName();
    }
}
